Bug 1297332 - find -type l does not find soft links
find -type l does not find soft links
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: findutils (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 04:03 EST by George R. Goffe
Modified: 2016-01-18 06:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-18 06:41:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George R. Goffe 2016-01-11 04:03:24 EST
Description of problem:

see additional info below. links made with "-s" flag are apparently not found

Version-Release number of selected component (if applicable):
findutils-4.5.14-6.fc22.x86_64

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
ls -al | head -20
total 103028
dr-xr-x---.  49 root    root       12288 Jan 11 00:58 .
dr-xr-xr-x.   7 root    root        4096 Jan 10 14:22 ..
-rw-r--r--.   1 root    root       18175 May  9  2015 addfonts
drwx------.   4 root    root        4096 Jul 13 12:59 .adobe
-rw-r--r--.   1 root    root      173741 Dec 20 23:43 alldarpms.fc22
-rw-r--r--.   1 root    root     3930802 Dec 20 23:42 alldayums.fc22
-rw-------.   1 root    root        1649 May  5  2015 anaconda-ks.cfg
drwxr-xr-x.   3 root    root       12288 Jan  3 07:58 backups
-rw-------.   1 root    root       57562 Jan 10 01:18 .bash_history
-rw-r--r--.   1 root    root          18 Jun  8  2014 .bash_logout
-rw-r--r--.   1 root    root         176 Jun  8  2014 .bash_profile
-rw-r--r--.   1 root    root         185 Jun  7  2015 .bashrc
-rw-r--r--.   1 root    root      123762 Sep  7  2014 big-ass-transport-swii-00003203.jpg
-rwxr-xr-x.   1 root    root         127 Aug 14  2004 bigpic
-rwxr-xr-x.   1 root    root         127 Dec 28  2006 bigpic2
lrwxrwxrwx.   1 root    root          25 May 24  2015 billpayshit -> /export/home/billpayshit/
lrwxrwxrwx.   1 root    root          46 Dec 21 00:40 billpaystuff-from-susan-07-21-15 -> /export/home/billpaystuff-from-susan-07-21-15/
-rw-r--r--.   1 root    root      123333 Oct 17  2004 boulder_garden.jpg
-rw-r--r--.   1 root    root          31 Dec 20 15:25 broken
fc22-bash 4.3 /boot/root# find . -type l -ls
fc22-bash 4.3 /boot/root#
Comment 1 Kamil Dudka 2016-01-11 04:24:18 EST
This works fine on my Fedora 22 box with findutils-4.5.14-6.fc22.x86_64.  Please provide self-contained steps to reproduce.
Comment 2 George R. Goffe 2016-01-11 16:45:10 EST
1.mkdir /export/home/lsd
2.ln -s export/home/lsd .
3.find . -type l -ls
4.notice that soft link "lsd" is not found
Comment 3 George R. Goffe 2016-01-11 17:04:11 EST
Kemil,

findf is an alias that has the "-xdev" flag set. The intent is to NOT go out to another filesystem for finding. Does "-xdev" prohibit the display of the link in the "current" filesystem? I think it should NOT since the link IS in the "current" filesystem... it just POINTS to another filesystem.

George...
Comment 4 Kamil Dudka 2016-01-11 18:48:41 EST
It works for me with -xdev too.  Did you try it in a fresh directory?  Fresh file system?

What are actually the file systems involved?  Did you try it with different file systems?

Did you try it with a different version of findutils?
Comment 5 George R. Goffe 2016-01-12 06:55:03 EST
Kamil,

After investigating your suggestions I found that the find command is an alias in my .bashrc file. findl was invoking this find alias which was somehow causing the softlinks to NOT appear. I think there's a bug here but don't know for sure. Maybe in find? Maybe in bash?

Regards and thanks for your help and your time,

George...
Comment 6 Kamil Dudka 2016-01-12 07:09:07 EST
You can use 'set -x' in bash to see the actual command being invoked after alias expansion.  Then you can use the expanded command directly for further debugging.
Comment 7 Kamil Dudka 2016-01-18 06:41:08 EST
I am closing the bug because I was not able to reproduce it based on the info above.  Feel free to reopen it with clear steps to reproduce...

Note You need to log in before you can comment on or make changes to this bug.